Download it now!
Bug 120685 - Page setup in Draw will not honor exact custom dimensions
Summary: Page setup in Draw will not honor exact custom dimensions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.0.2 target:6.2.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-18 20:11 UTC by mwtjunkmail
Modified: 2019-07-16 08:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mwtjunkmail 2018-10-18 20:11:48 UTC
Description:
When I set the page dimensions in Draw to 354 x 492 points, re-examining the page setup dialog box shows that my entry has been changed to 353.99 x 492.01

This is unacceptable because the dimensions I entered are intended to be evenly divisible by 3 so that a page that is 354 x 492 can have 3 thumbnails across and 3 thumbnails down for 3x3 grid of pictures exactly 164 wide by 118 high each.

LO Draw is unable to maintain precisely what is entered for page dimensions and throws off this entire process.

Steps to Reproduce:
1. Launch LO Draw and be sure to set the display dimensions to points.
2. Select Page Properties (Page Setup)
3. Enter a user-defined width and height of 352 x 492 points
4. Hit OK
5. Re-open the dialog box. 


Actual Results:
Dimensions entered as 352.00 x 492.00 have been changed to 353.99 x 492.01

Expected Results:
Dimensions entered as 352.00 x 492.00 should show up as 352.00 x 492.00


Reproducible: Always


User Profile Reset: No



Additional Info:
The margins are set to NONE.
Fit Object to paper format is not selected in the page setup dialog box.
Comment 1 Urber Guintoru 2018-11-18 17:11:46 UTC
Confirmed both
Version: 6.1.3.2
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: it-IT (it_IT); Calc: threaded
 

and Alpha6.2.0.0.alpha1
Comment 2 mwtjunkmail 2019-03-11 19:44:52 UTC
If the bug was confirmed, should the bug report be flagged as New rather than unconfirmed?
Comment 3 Buovjaga 2019-07-14 16:50:51 UTC
Confirmed. Some kind of floating point glitch?

Requirement is to first set the measurement unit to Point from Options - Draw - General.

Bibisected with win32-6.1 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/73b1aeca87d050634bae9194632601561dedec06%5E%21/
weld SvxPageDescPage

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2019-07-15 16:11:24 UTC
I feel this is more superficial than it looks, earlier versions just showing no decimal places in points mode
Comment 5 Commit Notification 2019-07-16 07:31:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/33cdca9115ba6998c5242db9e3d91cc12a80ac0a%5E%21

Resolves: tdf#120685 don't show decimal places for points

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-07-16 08:50:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/45866d59b0e21b9b82e3a215da9ea6726e3cb9ca%5E%21

Resolves: tdf#120685 don't show decimal places for points

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-07-16 08:50:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a60b4e1866ec48ca5de36e4138817f20b369d942%5E%21

Resolves: tdf#120685 don't show decimal places for points

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.